<?php

include '../../conexion/session.php';
include '../../conexion/conn.php';

$fecha_proceso = $_REQUEST['fecha_proceso'];
$exportador_cod = $_REQUEST['exportador_cod'];
$packing_cod = $_REQUEST['packing_cod'];

$rs_folio = mysql_query("SELECT MAX(id_planilla_dia) as pi_folio FROM pro_planilla_dia WHERE usu_crea='$rut'");

if ($row_folio = mysql_fetch_array($rs_folio)) {
    if ($row_folio['pi_folio'] == NULL) {
        $rs_folio2 = mysql_query("SELECT * FROM sys_usuario where usuario_rut='$rut'");

        if ($row_folio2 = mysql_fetch_array($rs_folio2)) {
            $fin_folio = $row_folio2['usuario_folio'] + 0.9999;
            $pi_folio = $row_folio2['usuario_folio'] + 0.0001;
            if ($pi_folio > $fin_folio) {
                //no quedan planillas
                $sql =  ("INSERT INTO cal_planilla_inspeccion(pi_folio, pi_fecha_inspeccion, pi_especie_id, pi_exportador_cod, pi_packing_id, pi_inspector, pi_zona_id, pi_tipo_packing_id, fecha_crea, pi_estado, usu_crea, cliente_id, pi_folio_web, sincro) VALUES(sfdfdsfd)");
                $result = @mysqli_query($sql);
            } else {
                $sql =  ("INSERT INTO `pro_planilla_dia`(`id_planilla_dia`, `cliente_cod`, `exportador_cod`, `packing_cod`, `fecha_proceso`, `estado`, `usu_crea`, `fecha_crea`, `sincro`) VALUES ('$pi_folio,'$cliente','$exportador_cod','$packing_cod','$fecha_proceso','ABIERTA','$rut',NOW(),'N')");

                $result = @mysql_query($sql);
            }
        }
    } else {
        $rs_folio2 = mysql_query("SELECT * FROM sys_usuario where usuario_rut='$rut'");

        if ($row_folio2 = mysql_fetch_array($rs_folio2)) {
            $fin_folio = $row_folio2['usuario_folio'] + 0.9999;
            $pi_folio = $row_folio['pi_folio'] + 0.0001;

            $pi_folio4 = $row_folio2['usuario_folio'] + 0.0001;


            if ($pi_folio4 > $pi_folio) {
                $pi_folio = $pi_folio4;
            }


            if ($pi_folio > $fin_folio) {
                $sql =  ("INSERT INTO cal_planilla_inspeccion(pi_folio, pi_fecha_inspeccion, pi_especie_id, pi_exportador_cod, pi_packing_id, pi_inspector, pi_zona_id, pi_tipo_packing_id, fecha_crea, pi_estado, usu_crea, cliente_id, pi_folio_web, sincro) VALUES(sfdfdsfd)");
                $result = @mysql_query($sql);
            } else {
                $sql =  ("INSERT INTO `pro_planilla_dia`(`id_planilla_dia`, `cliente_cod`, `exportador_cod`, `packing_cod`, `fecha_proceso`, `estado`, `usu_crea`, `fecha_crea`, `sincro`) VALUES ('$pi_folio,'$cliente','$exportador_cod','$packing_cod','$fecha_proceso','ABIERTA','$rut',NOW(),'N')");

                $result = @mysql_query($sql);
            }
        }
    }
}

if ($result) {
    echo json_encode(array('success' => true));
} else {
    echo json_encode(array('success' => false));
}
